ClarisWksStruct::DSET::Child Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStruct::DSET::Child Struct Reference

structure used to define the child of a DSET structure More...

`#include <ClarisWksStruct.hxx>`

## Public Member Functions
| Child ()
| constructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...

## Public Attributes
ChildType | m_type
| the type More...
int | m_id
| the identificator More...
long | m_posC
| a position (used in text zone to store the character ) More...
int | m_page
| the page if known More...
MWAWBox2f | m_box
| the bdbox More...

## Friends
std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<< More...

## Detailed Description

structure used to define the child of a DSET structure

## Constructor & Destructor Documentation

## ◆ Child()

ClarisWksStruct::DSET::Child::Child | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f ClarisWksStruct::DSET::Child::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Child const & | ch
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f ClarisWksStruct::DSET::Child::m_box

the bdbox

Referenced by getBdBox(), ClarisWksGraphInternal::Zone::getChild(), ClarisDrawGraphInternal::Zone::getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisDrawGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), ClarisDrawGraphInternal::ZoneUnknown::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

## ◆ m_id

int ClarisWksStruct::DSET::Child::m_id

the identificator

Referenced by ClarisDrawGraphInternal::ZoneZone::getChild(), and ClarisWksGraphInternal::ZoneZone::getChild().

## ◆ m_page

int ClarisWksStruct::DSET::Child::m_page

the page if known

## ◆ m_posC

long ClarisWksStruct::DSET::Child::m_posC

a position (used in text zone to store the character )

Referenced by ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

## ◆ m_type

ChildType ClarisWksStruct::DSET::Child::m_type

the type

Referenced by ClarisWksGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisDrawGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), ClarisDrawGraphInternal::ZoneUnknown::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisDrawText::readDSETZone(), and ClarisWksText::readDSETZone().

The documentation for this struct was generated from the following file:

- ClarisWksStruct.hxx